package sk.kasv.szaszak.file.Code;

import java.io.*;
import java.util.Scanner;

public class DecodeAlgorythm {
    private File myFile = null;
    private FileWriter fw;

    public static void main(String[] args) throws FileNotFoundException {
        DecodeAlgorythm code=new DecodeAlgorythm();
        boolean ret = code.createFile("coded.dat");
        if (ret==false){
            System.out.println("Error! Cannot create new file. App will terminate.");
            System.exit(1);
        }
        ret = code.openFileW();
        if (ret==false) {
            System.out.println("Error! Cannot create new file. App will terminate.");
            System.exit(2);
        }
        code.writeCodeIntoFile(code.reverseWords((code.scanText())));
        code.closeFile();
    }


    public boolean createFile(String filename) {
        myFile = new File(filename);
        if (myFile == null)
            return false;
        else return true;
    }

    public boolean openFileW() {
        try {
            fw = new FileWriter(myFile);
        } catch (IOException e) {
            return false;
        }
        return true;
    }

    public boolean closeFile() {
        try {
            fw.close();
        } catch (IOException e) {
            return false;
        }
        return true;
    }


    public String[] scanText() throws FileNotFoundException {
        int i = -1;
        Scanner sc = new Scanner(new FileReader(
                "text.dat"));
            int count= 0;
            while(sc.hasNext()){
                sc.next();
                count++;
            }
            String[] text = new String[count];
        Scanner scan = new Scanner(new FileReader(
                "text.dat"));
            while (scan.hasNext()) {
                i++;
                text[i] = scan.next();
            }
            return text;
        }

        public String[] reverseWords(String[] text){
        String[] reverseWords=new String[text.length];
        int count=0;
        for(int i=0;i<text.length;i++){
            String word=text[i];
            String reWord="";
            for(int j=word.length()-1;j>=0;j--) {
                reWord=reWord+word.charAt(j);
            }
            reverseWords[i]=reWord;
        }
        return  reverseWords;
        }
        public void writeCodeIntoFile(String[] reverseWords){
        try{
            for (int i=reverseWords.length-1;i>=0;i--)
                fw.write(reverseWords[i]+" ");
        }catch(IOException e){
            throw new RuntimeException(e);
        }
        }
    }

