package sk.kasv.szaszak.file.Keno;

import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.util.Arrays;
import java.util.Random;

public class Keno {
    private File myFile = null;
    private FileWriter fw;
    public boolean createFile(String filename) {
        myFile = new File(filename);
        if (myFile == null)
            return false;
        else return true;
    }

    public boolean openFileW() {
        try {
            fw = new FileWriter(myFile);
            //fw.write("Hello wolrd");
            //fw.close();
        } catch (IOException e) {
            return false;
        }
        return true;
    }

    public boolean closeFile() {
        try {
            fw.close();
        } catch (IOException e) {
            return false;
        }
        return true;
    }

    /**
     * @autor:Mate Szaszak
     * @date:11-21-2022
     * @parameter:numberOfTickets
     * @description: Generate and write tickets to the file with 10 numbers for each bet
     */
    public void generateTickets(int numberOfTickets) {
        if (numberOfTickets <= 0) {
            System.out.println("Error! Number of tickets must be a positive number.");
            return;
        }
        //ked bolo zadane spravne cislo pokracujeme dalej
        for (int id = 0; id < numberOfTickets; id++){
            int[] bets = generateRandomNum(10);
            Arrays.sort(bets);
            System.out.println(Arrays.toString(bets));
            writeBetIntoFile(bets);
    }

}
    private int[] generateRandomNum(int num) {
        Random rand=new Random();
           int[] arr=new int[num];
               arr[0]= rand.nextInt(1,81);
            int index=1;
            while(index<num) {
            int temp=rand.nextInt(1,81);
                boolean unique=true;
                for(int i=0;i<index;i++){
                    if(temp==arr[i]){
                        unique=false;
                        break;
            }
               }
                if(unique){
                    arr[index]=temp;
                    index++;
                }
           }
           return arr;
    }
    public void writeBetIntoFile(int[] bet){
        try {
            for (int i = 0; i < bet.length; i++)
                fw.write(bet[i]<10?" "+bet[i]+" ":bet[i] + " ");
            fw.write("\n");
        }catch(IOException e){
            throw new RuntimeException(e);
        }
    }
    public void bets(int bet[]){
        System.out.println(bet[0]);
    }

}
