package sk.kasv.szaszak.file.Iban;

import java.math.BigInteger;
import java.util.Scanner;
public class Calculator {
    private IBAN i=new IBAN("","","","");
    public void scanBBAN(){
        System.out.println("Country: ");
        Scanner scan=new Scanner(System.in);
        String inputCountry= scan.next().trim().toLowerCase();
        System.out.println("BBAN: ");
        Scanner sc=new Scanner(System.in);
        String inputNum=sc.nextLine().trim();
        String[] account=inputNum.split("/");
        i.setCountryCode(inputCountry);
        i.setBankAccount(account[0]);
        i.setBankCode(account[1]);
    }
    public String convertCountryCode(){
        char letter1=i.getCountryCode().charAt(0);
        char letter2=i.getCountryCode().charAt(1);
        int num1=Character.getNumericValue(letter1);
        int num2=Character.getNumericValue(letter2);
        String numericCode=String.valueOf(num1)+num2+"00";
        return numericCode;
    }
    public String convertBBAN(String numericCode){
        String convertedNumCode=i.getBankCode()+i.getBankAccount()+numericCode;
        return convertedNumCode;
    }
    public String calcControlNum(String convertedNumCode){
        BigInteger num=new BigInteger(convertedNumCode);
        BigInteger mod=new BigInteger("97");
        BigInteger controlNum=num.mod(mod);
        int result=98-Integer.parseInt(String.valueOf(controlNum));
                return (result>10?(result)+"":"0"+(result));
    }
    public void genControlNum(){
i.setControlNum(calcControlNum(convertBBAN(convertCountryCode())));
    }
    public void printIban(){
        genControlNum();
        String num=i.getBankAccount();
        System.out.println("IBAN: "+i.getCountryCode().toUpperCase()+i.getControlNum()+" "+i.getBankCode()+" "+
                num.substring(0,4)+" "+num.substring(4,8)+" "+num.substring(8,12)+" "+num.substring(12));
    }
}
