package sk.kasv.szaszak.file.Numbers;

import java.io.File;
import java.io.FileNotFoundException;
import java.math.BigInteger;
import java.util.*;

public class Numbers {

    public static void main(String[] args) throws FileNotFoundException {
        Numbers obj=new Numbers();
        //System.out.println(obj.hashSet());
        //System.out.println(obj.hashMap());
        //obj.missingKeys(obj.hashMap());
        //obj.genNumbers();
        obj.addLargeNumbers();
    }
    public void missingKeys(HashMap m){
        Set s=(Set)m.keySet();
        int max = (int) Collections.max(s);
        int min = (int) Collections.min(s);
        System.out.print("Missing keys: ");
        for(int i=min;i<max;i++)
            if(!m.containsKey(i))
                System.out.print(i+" ");
    }
    public HashSet hashSet() throws FileNotFoundException {
        Set <Integer> m=new HashSet<>();
        Scanner sc=new Scanner(new File("numbers.txt"));
        while(sc.hasNextInt()) {
            m.add(sc.nextInt());
        }
        return (HashSet) m;
    }
    public HashMap hashMap() throws FileNotFoundException {
        Map <Integer,Integer> m=new HashMap<>();
        Scanner sc=new Scanner(new File("numbers.txt"));
        while(sc.hasNextInt()) {
            int temp=sc.nextInt();
            if (m.containsKey(temp))
                m.put(temp, m.get(temp)+1);
            else
                m.put(temp,1);
        }
        return (HashMap) m;
    }
    public void genNumbers(){
        Set <Integer> set=new HashSet<>();
        Random rand=new Random();
        while(set.size()<51){
            set.add(rand.nextInt(10,100));
        }
        System.out.println(set);
    }
    public void addLargeNumbers(){
        Scanner scan=new Scanner(System.in);
        System.out.println("Enter number A:");
        BigInteger a=new BigInteger(scan.next());
        System.out.println("Enter operation symbol[+,-,*,/,%]:");
        String operation=scan.next().trim();
        System.out.println("Enter number B:");
        BigInteger b=new BigInteger(scan.next());
        String c="0";
        switch (operation) {
            case "+":c= String.valueOf(a.add(b));
            case "-":c= String.valueOf(a.subtract(b));
            case "*":c= String.valueOf(a.multiply(b));
            case "/":c= String.valueOf(a.divide(b));
            case "%":c= String.valueOf(a.mod(b));
        }
        System.out.println(a+" "+operation+" "+b+" = "+c);
    }
}
