package sk.kasv.szaszak.file.Quiz;

import java.util.InputMismatchException;
import java.util.Scanner;

public class Quiz {
    private int points;

    public static void main(String[] args) {
        Quiz quiz = new Quiz();
        quiz.runQuiz();
    }
    public void runQuiz(){
        points=0;
        question1();
        question2();
        question3();
        question4();
        question5();
        score();
    }

    public int addPoint() {
        this.points++;
        return points;
    }

    public int getPoints() {
        return points;
    }

    public void score(){
        getPoints();
        System.out.println("Your score: "+points+"/5 ("+(int)((double)points/5*100)+"%)");
    }

    public void question1() {
        System.out.println("1. Which is the capital of New Zealand?"
                + "\n" + "a) Wellington" + "\n" + "b) Auckland" + "\n" + "c) Christchurch" + "\n" + "d) Melbourne");
        Scanner scan = new Scanner(System.in);
        String answer = scan.next();
        while (true) {
            if (answer.equals("a") || answer.equals("b") || answer.equals("c") || answer.equals("d"))
                break;
            System.out.println("Your answer is not a valid option. Try again!");
            answer = scan.next();
        }
        if (answer.equals("b"))
            addPoint();
    }

    public void question2() {
        System.out.println("2. How many countries does Italy share borders with?");
        while (true) {
            try {
                Scanner scan = new Scanner(System.in);
                int answer = scan.nextInt();
                if(answer<0){System.out.println("Please input a positive even number!");continue;}
                if (answer == 4)
                    addPoint();
                break;
            } catch (InputMismatchException e) {
                System.out.println("Please input a positive even number!");
            }}
    }

    public void question3() {
        System.out.println("3. Which country has the largest territory?");
        Scanner scan=new Scanner(System.in);
        String answer=scan.next();
        if(answer.toLowerCase().equals("russia"))
            addPoint();
    }
    public void question4() {
        System.out.println("4. Is the Antarctic Desert the largest desert?"+"\n"+"   [Enter T (true) or F (false)]");
        Scanner scan=new Scanner(System.in);
        while(true) {
            String answer=scan.next();
            if(answer.equals("T")||answer.equals("F")){
                if(answer.equals("T"))
                    addPoint();
                break;}
            else System.out.println("Invalid input! Valid inputs are T (true) or F (false).");
        }
    }
    public void question5(){
        System.out.println("5. Which one of these countries has the lowest population?"
                + "\n" + "a) China" + "\n" + "b) India" + "\n" + "c) United States" + "\n" + "d) Indonesia");
        Scanner scan = new Scanner(System.in);
        String answer = scan.next();
        while (true) {
            if (answer.equals("a") || answer.equals("b") || answer.equals("c") || answer.equals("d"))
                break;
            System.out.println("Your answer is not a valid option. Try again!");
            answer = scan.next();
        }
        if (answer.equals("d"))
            addPoint();
    }

}